Bug 815376 - pyfits depends on python3 (which should be true only for python3-pyfits)
pyfits depends on python3 (which should be true only for python3-pyfits)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pyfits (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sergio Pascual
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 09:51 EDT by Michal Szymanski
Modified: 2012-07-05 19:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-05 19:31:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Szymanski 2012-04-23 09:51:16 EDT
Description of problem: As with many other python modules, there are two pyfits rpms available, "pyfits" and "python3-pyfits". Unfortunately, installing 'pyfits' requires python3 to be also installed which IMHO is not proper. Python modules packages not starting with python3- in their names, should be intented for the default python 2.7 coming with F16

Version-Release number of selected component (if applicable): 3.0.1-1


How reproducible: always


Steps to Reproduce:
1. yum install pyfits
  
Actual results:
Installing:
 pyfits               x86_64        3.0.1-1.fc16           updates        440 k
Installing for dependencies:
 python3              x86_64        3.2.1-1.fc16           fedora          33 k
 python3-libs         x86_64        3.2.1-1.fc16           fedora         5.3 M
 python3-numpy        x86_64        1:1.6.1-2.fc16         updates        2.9 M

Expected results:
No dependencies on python3

Additional info:
Comment 1 Sergio Pascual 2012-04-24 07:00:13 EDT
The dependency comes from the fitscheck program. A fix will arrive soon
Comment 2 Fedora Update System 2012-07-03 09:46:48 EDT
pyfits-3.0.8-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2012-9938/pyfits-3.0.8-1.fc16
Comment 3 Fedora Update System 2012-07-05 19:31:11 EDT
pyfits-3.0.8-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.